#ifndef GUARD_main_h
#define GUARD_main_h
/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed Nov 20 21:44:14 CET 2002
    copyright            : (C) 2002 by Goran Frehse
    email                : goran@s.cs.auc.dk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

int FP_PRECISION=6; // significant digits in floating point output

//#include <stdio.h>
//#include <iostream>
#include <vector>
#include <list>
#include <functional>
#include <algorithm>
#include <map>
#include <stdlib.h>

#include <ppl.hh>

#include <time.h>

using namespace std;
using namespace Parma_Polyhedra_Library;

//#define DEBUG 1

//#include "parameters.h"
//#include "symb_states.h"
#include "general.h"
#include "automaton.h"
#include "automaton_vec.h"
#include "ag_sim.h"
#include "agc_sim.h"

#include "deriv_def.h"
#include "deriv_ops.h"

#include "rat_linexpression.h"
extern unsigned int GENERATOR_TO_DOUBLE_PRECISION;
extern double REFINE_DERIV_MINANGLE;
extern bool USE_HIOA_AUTOMATA;

int main(int argc, char *argv[]);

void welcome_message();
void help_message();
void info_message();
void process_flag(char *flagstr);
void process_flags(int agc, char *agv[]);

#endif
